# NameConvention

class xsdata.models.config.NameConvention(case, safe_prefix)

  Name convention model.

  Parameters

    - case (`NameCase`) – Naming scheme, eg camelCase, snakeCase

    - safe_prefix (`str`) – A prefix to be prepended into names that match one of the reserved words: and, except, lambda, with, as, finally, nonlocal, while, assert, false, none, yield, break, for, not, class, from, or, continue, global, pass, def, if, raise, del, import, return, elif, in, true, else, is, try, str, int, bool, float, list, optional, dict, field

  __eq__(other)

    Return self==value.

  __hash__ = None